package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.UserRoleNodeTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UserRoleNodeRepository extends BaseRepository<UserRoleNodeTable> {
    List<UserRoleNodeTable> findAllByIdNotInAndRoleId(List<Long> ids, Long roleId);

    List<UserRoleNodeTable> findAllByIdInAndRoleId(List<Long> ids, Long roleId);

    List<UserRoleNodeTable> findAllByRoleId(Long roleId);
}
